Subject: bug#78810: 30.1; `pp' expectation of `emacs-lisp-mode-syntax-table' etc.

From: Drew Adams <[email-masked]>
Date: Tue, 17 Jun 2025 16:14:45 +0000

> > Stefan, any comments?
> 
> Not, really, no, expect that I don't see any actual bug reported in that
> long explanation and that Drew seems to miss the fact that the first
> branch of the `cond` is basically an optimization.

I didn't miss that the first `cond' branch was presumably
_intended_ to be only an optimization.  I don't think it
always has the same behavior (result) as the second branch,
and I do think it's bugged.  And the defcustom isn't solid,
and the doc and names are poor.

You don't respond to any of the questions.  For example, is
it necessary (or even desirable) for Elisp code in a buffer
with `lisp-data-mode' to use the second (unoptimized) `cond'
clause?  Is `lisp-indent-function' for `indent-line-function'
really needed (why)?  If so, tell users of the defcustom.